Name: hyphen-sr
%define upstreamid 20100920
Version: 0.%{upstreamid}.1
Release: %mkrel 12
Source: http://extensions.services.openoffice.org/e-files/1572/6/dict-sr.oxt
Group:  Text tools
URL: http://extensions.services.openoffice.org/project/dict-sr
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-sr
Summary: Serbian hyphenation rules
Provides: hyphen-bs = %{version}-%{release}

%description -n hyphen-sr
Serbian hyphenation rules.

%prep
%setup -q -c

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_sr.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sr_YU.dic
cp -p hyph_sr-Latn.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sh_YU.dic

sr_YU_aliases="sr_ME sr_RS"
sh_YU_aliases="sh_ME sh_RS bs_BA"

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
for lang in $sr_YU_aliases; do
    ln -s hyph_sr_YU.dic "hyph_"$lang".dic"
done
for lang in $sh_YU_aliases; do
    ln -s hyph_sh_YU.dic "hyph_"$lang".dic"
done
popd

%files
%doc registration/license*.txt
%{_datadir}/hyphen/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.20100920.1-12.mga8
+ Revision: 1490737
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20100920.1-11.mga7
+ Revision: 1262429
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20100920.1-10.mga6
+ Revision: 939787
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20100920.1-9.mga5
+ Revision: 745973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20100920.1-8.mga5
+ Revision: 680389
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20100920.1-7.mga4
+ Revision: 523115
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20100920.1-6.mga3
+ Revision: 406370
- requires locales-hyphen-sr (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20100920.1-5.mga3
+ Revision: 354010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 0.20100920.1-4.mga2
+ Revision: 204343
- clean .spec after removing hunspell-sr parts
- rename Name tag
- exclude from hunspell-sr hyphen-sr

* Thu Mar 24 2011 ahmad <ahmad> 0.20100920.1-3.mga1
+ Revision: 77015
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100920.1-2.mga1
+ Revision: 69109
- imported package hunspell-sr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100920-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 21 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100920-1
- latest version

* Thu Aug 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100818-1
- latest version

* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.20090511-4
- include licences in all subpackages

* Tue Jan 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.20090511-3
- fix rpmlint warning

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090511-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090511-1
- latest version

* Tue May 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090213-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080711-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 11 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080711-1
- initial version
